#
# Do not change to use an other upstream as this will break amarok build.
#

%define date     20250222
%define git_hash git.20250222T104528~81e8f9d

Name:           liblastfm-qt6
Version:        1.2.0
Release:        %mkrel -c git%{date} 1
Summary:        A collection of libraries to help you integrate Last.fm services
License:        GPL-3.0-or-later
Group:          System/Libraries
URL:            https://github.com/Mazhoon/liblastfm
Source:         %{name}-%{version}%{git_hash}.tar.xz
# As per Qt docs, the return value of qPrintable() is only valid until the
# end of the expression. In fact, asan did catch this in the calling code.
# PATCH-FIX-UPSTREAM https://github.com/drfiemost/liblastfm/pull/10
Patch0:         liblastfm-qt6-Fix-use-after-free-in-platform-calling-code.diff

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(fftw3f)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  cmake

%description
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

#---------------------------------------------------------------------

%define lastfm_major 1
%define lib6name %mklibname lastfm 6 %{lastfm_major}

%package -n     %{lib6name}
Summary:        A collection of libraries to help you integrate Last.fm services

%description -n %{lib6name}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt6.

%files -n %{lib6name}
%license COPYING
%doc README.md
%{_libdir}/liblastfm6.so.%{lastfm_major}{,.*}

#---------------------------------------------------------------------

%define finger_major 1
%define lib6namefinger %mklibname lastfm_fingerprint 6 %{finger_major}

%package -n     %{lib6namefinger}
Summary:        A collection of libraries to help you integrate Last.fm services
Group:          System/Libraries

%description -n %{lib6namefinger}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt6.

%files -n %{lib6namefinger}
%license COPYING
%{_libdir}/liblastfm_fingerprint6.so.%{finger_major}{,.*}

#---------------------------------------------------------------------

%define develname_qt6 %mklibname lastfm-qt6 -d

%package -n     %{develname_qt6}
Summary:        %{name}-qt6 development header
Group:          Development/KDE and Qt
Requires:       %{lib6name} = %{version}-%{release}
Requires:       %{lib6namefinger} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lastfm-qt6-devel = %{version}-%{release}

%description -n %{develname_qt6}
Install this package if you want do compile applications and
using the %{name} library.

%files -n %{develname_qt6}
%doc README.md
%{_includedir}/lastfm6/
%{_qt6_libdir}/cmake/lastfm6/
%{_qt6_libdir}/liblastfm6.so
%{_qt6_libdir}/liblastfm_fingerprint6.so

#---------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{git_hash}

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%check
# Tests need network access


%changelog
* Thu Jul 10 2025 daviddavid <daviddavid> 1.2.0-0.git20250222.1.mga10
+ Revision: 2252669
- initial package liblastfm-qt6 (needed for amarok)

